curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=SGP" \
-F "services=sgp_credit_bureau" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}' \
-F "national_id=SAMPLE-NID-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="SGP",
services=["sgp_credit_bureau"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="SAMPLE-NID-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "SGP",
Services: didit.Some([]string{"sgp_credit_bureau"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("SAMPLE-NID-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("SGP")
.services(List.of("sgp_credit_bureau"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("SAMPLE-NID-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'SGP',
'services' => ['sgp_credit_bureau'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => 'SAMPLE-NID-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "SGP",
Services = new string[] { "sgp_credit_bureau" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "SAMPLE-NID-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "SGP",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "SGP",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "SGP",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇸🇬 シンガポール
シンガポール信用情報機関照合API:本人情報の一致確認
Diditの本人確認基盤で、シンガポールの信用情報機関の公的データベースと照合。1回あたり$4.35からの従量課金、契約不要・最低利用額なし。
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=SGP" \
-F "services=sgp_credit_bureau" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}' \
-F "national_id=SAMPLE-NID-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="SGP",
services=["sgp_credit_bureau"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="SAMPLE-NID-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "SGP",
Services: didit.Some([]string{"sgp_credit_bureau"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("SAMPLE-NID-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("SGP")
.services(List.of("sgp_credit_bureau"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("SAMPLE-NID-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'SGP',
'services' => ['sgp_credit_bureau'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => 'SAMPLE-NID-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "SGP",
Services = new string[] { "sgp_credit_bureau" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "SAMPLE-NID-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "SGP",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "SGP",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "SGP",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
入力データを、シンガポールの信用情報機関から取得したクレジットヘッダーデータと照合します。Diditはこのサービスを
POST /v3/database-validation/で提供しているため、送信したデータを信頼できる情報源と照合し、正規化された照合結果を受け取ることができます。
カバレッジ
- カバレッジ: 非公開
- 国: シンガポール
- サービスID:
sgp_credit_bureau - データ領域: 金融
- カテゴリ: CreditBureau
入力
| フィールド | 必須 | 例 |
|---|---|---|
full_name | はい | John Doe |
date_of_birth | はい | 1990-01-01 |
address.street_1 | はい | 123 Sample Street |
address.postal_code | はい | 10001 |
national_id | はい | SAMPLE-NID-12345 |
address.street_2 | いいえ | Unit 4 |
address.city | いいえ | Sample City |
address.region | いいえ | Sample State |
vendor_data | いいえ | user-1234 |
- 必須の入力:
full_name、date_of_birth、address.street_1、address.postal_code、national_id - 任意の入力:
address.street_2、address.city、address.region、vendor_data - 同意: 必須
- ワークフローでの利用可否: ワークフローで利用可能
- カバレッジ: 非公開
- 料金: 成功したクエリ1件あたり$4.35
ボディパラメーター
string
デフォルト:"SGP"
必須
このデータベースサービスのISO 3166-1 alpha-3国コードです。例:
SGPstring
デフォルト:"sgp_credit_bureau"
必須
このサービスIDを含む配列です。サービスを固定することで、リクエストの対象をこのデータベースだけに限定できます。例:
sgp_credit_bureauboolean
デフォルト:"true"
必須
このサービスに対するエンドユーザーの明示的な同意です。例:
truestring
デフォルト:"John Doe"
必須
検証する法的な氏名です。例:
John Doestring
デフォルト:"1990-01-01"
必須
YYYY-MM-DD形式の生年月日です。例:1990-01-01object
必須
構造化された居住地住所のオブジェクトです。
street_1、street_2、city、region、postal_code、countryを使用します。従来形式の完全な住所文字列も引き続き受け付けますが、推奨しません。例:{"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
デフォルト:"SAMPLE-NID-12345"
必須
このサービスで使用する国民識別番号です。例:
SAMPLE-NID-12345string
デフォルト:"user-1234"
この人物を示す、固定のユーザー参照値です(社内のユーザーIDなど)。Diditはこれを使用して個別のチェックを同一のエンドユーザーに紐付け、重複検出のノイズを減らします。例:
user-1234入力ルールと検証に関する注意事項
- 住所を扱うサービスでは、可能な限り単一の
address文字列ではなく、構造化された住所フィールドを送信してください。 address.street_1は通り名、番地、通りの種類を含む住所です。address.street_2はアパート、部屋番号、建物、階、または追加の住所行です。値がある場合にのみ送信してください。address.cityは市区町村、郊外、地区、地域、または近隣地区です。address.regionは州、県、地域、または町です。address.postal_codeは郵便番号です。- 住所に基づくデータベースサービスでは、少なくとも町名・番地と郵便番号が必要です。データソースの照会前に拒否されたリクエストは課金されません。
呼び出し方法
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=SGP" \
-F "services=sgp_credit_bureau" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}' \
-F "national_id=SAMPLE-NID-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="SGP",
services=["sgp_credit_bureau"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="SAMPLE-NID-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "SGP",
Services: didit.Some([]string{"sgp_credit_bureau"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("SAMPLE-NID-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("SGP")
.services(List.of("sgp_credit_bureau"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("SAMPLE-NID-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'SGP',
'services' => ['sgp_credit_bureau'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => 'SAMPLE-NID-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "SGP",
Services = new string[] { "sgp_credit_bureau" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "SAMPLE-NID-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
成功した呼び出しはすべてHTTP 200を返します。実際に何が起きたかはoutcome_codeフィールドでわかります。たとえば、生体認証の不一致(BIOMETRIC_NO_MATCH)と、セルフィーを読み取れなかった場合(BIOMETRIC_IMAGE_UNUSABLE)を区別できます。表示されるstatusは機能のデフォルトのステータスであり、設定した部分一致/不一致時のアクションによって上書きされることがあります。MATCH:登録簿が本人であることを確認し、チェックしたすべてのフィールドが一致しました。{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "SGP",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH:識別番号は見つかりましたが、1つ以上の個人情報フィールド(通常は氏名または生年月日)が完全には一致しませんでした。{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "SGP",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH:送信したデータに一致する結果は登録簿から返されませんでした。{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "SGP",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
返却されるデータ
source_dataに含まれる具体的なフィールドは、レジストリが返す内容によって異なります。sgp_credit_bureauの生成例では、現在、次の正規化された形式が記載されています。
addressaddress_match_scorecitydate_of_birthidentification_numberpostal_codestreet
料金とSLA
Singapore Credit Bureauへの照会は、Diditが検証ソースから確定的な結果を受け取った場合にのみ請求されます。- 1回あたりの料金: $4.35 USD。
- 請求: 成功した照会ごとに請求されます。レジストリに接続できない場合、必須フィールドが欠けている場合、またはリクエストがソースに届く前に拒否された場合は請求されません。
- レイテンシー: 通常、p95で2秒未満です。
- 可用性: Didit側で四半期あたり99.9%。下流のソースの可用性は国とデータセットによって異なります。
関連情報
最終更新日 2026年11月1日